Bug 379511 - No remote login to gdm is possible
No remote login to gdm is possible
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 03:25 EST by Frank Cox
Modified: 2009-01-09 02:24 EST (History)
6 users (show)

See Also:
Fixed In Version: 2.20.1-7.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:24:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/etc/gdm/custom.conf (3.34 KB, text/plain)
2007-11-13 03:25 EST, Frank Cox
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 495623 None None None Never

  None (edit)
Description Frank Cox 2007-11-13 03:25:43 EST
Description of problem:
After setting up gdm to allow remote logins, no remote login is possible as gdm
never appears on the remote terminal.

Version-Release number of selected component (if applicable):
gdm-2.20.1-5.fc8


How reproducible:
Every time

Steps to Reproduce:
1. Set up gdm to allow remote logins.  Firewall is disabled, /etc/hosts.deny has
been deleted.
2. From a remote computer, do:
X :1 -query 192.168.0.2
Where the IP address is the address of the computer set up to allow remote logins.
3. all you see is the infamous gray screen with an X in the middle.
  
Actual results:
Gray screen with an X in the middle

Expected results:
GDM login screen

Additional info:
I have attached my gdm "custom.conf" file.

This is what I see on the console of the remote computer that I'm trying to log
in from:

X Window System Version 1.3.0
Release Date: 19 April 2007
X Protocol Version 11, Revision 0, Release 1.3
Build Operating System: Fedora Core 7 Red Hat, Inc.
Current Operating System: Linux mutt.melvilletheatre.net 2.6.22.9-91.fc7 #1 SMP
Thu Sep 27 23:10:59 EDT 2007 i686 Build Date: 11 June 2007
Build ID: xorg-x11-server 1.3.0.0-9.fc7 
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.1.log", Time: Mon Nov 12 16:42:36 2007
(==) Using config file: "/etc/X11/xorg.conf"
(II) Module already built-in
(II) Module already built-in
(EE) I810(0): [dri] DRIScreenInit failed. Disabling DRI.FreeFontPath: FPE
"unix/:7100" refcount is 2, should be 1; fixing. (EE) AIGLX: Screen 0 is not
DRI capable

After hitting ctrl-alt-backspace to exit the X session that didn't start, I got
this on the console:

FreeFontPath: FPE "unix/:7100" refcount is 2, should be 1; fixing.
Comment 1 Frank Cox 2007-11-13 03:25:43 EST
Created attachment 256501 [details]
/etc/gdm/custom.conf
Comment 2 Frank Cox 2007-11-15 01:25:51 EST
This GDM 2.2 bug affects Ubuntu Gutsy, NetBSD and FreeBSD as well -- it's not
just a Fedora 8 issue.  See these URLs for further information:

https://bugs.launchpad.net/ubuntu/+source/gdm/+bug/150193

http://bugzilla.gnome.org/show_bug.cgi?id=495623

http://bugzilla.gnome.org/show_bug.cgi?id=494817

This might be the fix:

http://bugzilla.gnome.org/attachment.cgi?id=98752&action=view
Comment 3 Ray Strode [halfline] 2007-11-15 09:37:52 EST
I can build the patch if you'd like to test it.
Comment 4 Frank Cox 2007-11-15 12:12:49 EST
I would be pleased to try it out.
Comment 5 Fedora Update System 2007-11-15 19:35:25 EST
gdm-2.20.1-7.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdm'
Comment 6 Frank Cox 2007-11-16 01:42:15 EST
That has indeed solved the problem.  I now have a working remote terminal again.

Thank you ever so much for the fix!  I truly appreciate your assistance with
this matter.
Comment 7 Ray Strode [halfline] 2007-11-16 10:25:10 EST
Thanks for doing the detective work to track down the fix.
Comment 8 Fedora Update System 2007-11-17 00:38:42 EST
gdm-2.20.1-7.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Sascha Harusta 2007-11-22 14:17:57 EST
I've tried out the new version, but the issue is still valid.
Comment 10 Sascha Harusta 2007-11-24 03:21:22 EST
(In reply to comment #9)
> I've tried out the new version, but the issue is still valid.
> 

Sorry, themes to be gone...
Comment 11 Fedora Update System 2007-12-03 06:45:01 EST
gdm-2.20.2-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdm'
Comment 12 Fedora Update System 2007-12-06 17:51:16 EST
gdm-2.20.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Ferry Huberts 2007-12-08 12:39:12 EST
just tried it with two f8 installs (desktop & laptop), still does not work
Comment 14 Frank Cox 2007-12-08 22:50:32 EST
gdm-2.20.2-2.fc8 has re-created the problem that I initially filed this bug
report about.  After setting up gdm to allow remote logins, no remote login is
possible as gdm never appears on the remote terminal.  All I get is a gray
screen with an X in the middle.

Reverting to gdm-2.20.1-7.fc8 and rebooting (as gdm-restart alone didn't work)
solved the problem and I can again log into my terminal.

SUMMARY:
gdm-2.20.1-5.fc8 - doesn't work.  No remote login is possible.
gdm-2.20.1-7.fc8 - works.  Remote logins are possible.
gdm-2.20.2-2.fc8 - doesn't work.  No remote login is possible.
Comment 15 Bryan Hughes 2008-01-21 18:45:08 EST
I am having problems with this aswell (gdm-2.20.2-2.fc8)  this bug only appears
when selinux is in enforcing mode,  when I set selinux to disabled, I can do
remote connections. 
Comment 16 Peter Glassenbury 2008-02-28 15:43:36 EST
rpm -qi gdm = gdm-2.20.2-2.fc8.src.rpm - kernel 2.6.23.14-115.fc8 
had same problem .. workaround
DON'T have a greeter with faces or usernames displayed. (we have too many so 
it segfaults)
GraphicalTheme=circles
GraphicalThemes=happygnome work for us....
The above occurred on LOCAL gdm login and was fixed by the above..
The same occurs on remote xdmcp login but..
after doing all the other standard networking and turn off firewall stuff,
I CAN get a login display and login BUT gdm/gnome hangs after that
email pete @ cosc DOT canterbury DOT ac DOT nz if you want any messages..
Can't seem to find messages that are relevant(but maybe looking in wrong place)
Comment 17 Bug Zapper 2008-11-26 03:23:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-01-09 02:24:46 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.